<?php
$titlu='Sitemap bancuri';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/bancuri','Bancuri');
$categorii=$conn->query('SELECT`id`,`nume`FROM`bancuri_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/bancuri/pagina/'.$z1,'Bancuri - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/bancuri/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Bancuri, categoria '.htmlspecialchars($categorie[1]));
$bancuri=$conn->query('SELECT`id`,`text`FROM`bancuri`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($banc=$bancuri->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/bancuri/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Bancuri, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
$nume=mb_substr($banc[1],0,15);
echo sitemap($adresasite[0].'/banc/id/'.$banc[0].'-'.seo($nume),'Banc '.$banc[0].' - '.htmlspecialchars($nume));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`bancuri_aprecieri`WHERE`pid`="'.$banc[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-banc/id/'.$banc[0].'-'.seo($nume).'/tip/aprecieri','Aprecieri banc '.$banc[0].' - '.htmlspecialchars($nume));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-banc/id/'.$banc[0].'-'.seo($nume).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri banc '.$banc[0].' - '.htmlspecialchars($nume).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`bancuri_aprecieri`WHERE`pid`="'.$banc[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-banc/id/'.$banc[0].'-'.seo($nume).'/tip/dezaprecieri','Dezaprecieri banc '.$banc[0].' - '.htmlspecialchars($nume));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-banc/id/'.$banc[0].'-'.seo($nume).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri banc '.$banc[0].' - '.htmlspecialchars($nume).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`bancuri_comentarii`WHERE`pid`="'.$banc[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-banc/id/'.$banc[0].'-'.seo($nume),'Comentarii banc '.$banc[0].' - '.htmlspecialchars($nume));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-banc/id/'.$banc[0].'-'.seo($nume).'/pagina/'.($comentarii+1),'Comentarii banc '.$banc[0].' - '.htmlspecialchars($nume).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`bancuri_note`WHERE`pid`="'.$banc[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-banc/id/'.$banc[0].'-'.seo($nume),'Note banc '.$banc[0].' - '.htmlspecialchars($nume));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-banc/id/'.$banc[0].'-'.seo($nume).'/pagina/'.($note+1),'Note banc '.$banc[0].' - '.htmlspecialchars($nume).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';